%define version	4.3.90.2
%define release 3

%define oname xfce4-appfinder
%define iconname  %{oname}.png

Summary: 	Find every application in the system
Name: 		xfce-appfinder
Version: 	%{version}
Release: 	%mkrel %{release}
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	xfce4-appfinder-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:  xfce-mcs-manager-devel >= %{version} 
BuildRequires:	dbh-devel 
BuildRequires:	ImageMagick
BuildRequires:	perl-XML-Parser

%description
Xfce Appfinder is an useful software that permits you to find 
every application in the system supporting Desktop entry format.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std  

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert src/%{oname}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert src/%{oname}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert src/%{oname}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{oname}" \
	icon="%{iconname}" \
	title="Xfce-appfinder" \
	longtitle="Application finder" \
	needs="x11" \
	section="System/File Tools" \
        xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-FACE" \
  --add-category="Filesystem" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang xfce4-appfinder

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor
 

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name} -f xfce4-appfinder.lang
%defattr(-,root,root)
%doc README ChangeLog INSTALL COPYING AUTHORS 
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/xfce4/*
%{_menudir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/*
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}


%changelog
* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-3mdv2007.0
- use icon marco properly

* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-2mdv2007.0
- add missing changelog entry
- use icon marco
  - Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
  - rebuild for xfce-4.3.90.2

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Sun Apr 23 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sun Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Tue Feb 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- buildrequires perl-XML-Parser

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 from svn 19739

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires ImageMagick

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- update file list

* Thu Nov 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 1st Mdk release
